/* 
Theme Name:		 GeneratePress Child
Theme URI:		 http://childtheme-generator.com/
Description:	 GeneratePress Child is a child theme of GeneratePress, created by ChildTheme-Generator.com
Author:			 Tony
Author URI:		 http://childtheme-generator.com/
Template:		 generatepress
Version:		 1.0.0
Text Domain:	 generatepress-child
*/


/**
 * TIPOGRAFÍA
 *
 * -------------------------------------------------------------------
 */

/* luckiest-guy-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Luckiest Guy';
  font-style: normal;
  font-weight: 400;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/luckiest-guy-v23-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}


/* roboto-100 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 100;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-100.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-100italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 100;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-100italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 300;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-300italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 300;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-300italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 400;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-500 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-500italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 500;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 600;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-600italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 600;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 700;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-800 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 800;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-800italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 800;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-800italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-900 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 900;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-900.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* roboto-900italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Roboto';
  font-style: italic;
  font-weight: 900;
  src: url('https://tododisfraces.com.mx/wp-content/uploads/2025/04/roboto-v47-latin-900italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}



/**
 * HTML
 *
 * -------------------------------------------------------------------
 */

 button {
     border-radius: 5px;
 }


/**
 * HEADER
 *
 * -------------------------------------------------------------------
 */

/* Aplica estilos al título principal */
.main-title a {
    display: inline-block; /* Trata el texto como un bloque */
    text-align: center; /* Centra el texto */
    line-height: 1.2; /* Ajusta el espacio entre líneas */
}
.site-branding {
    max-width: 220px;
}

/**
 * ADS GOOGLE
 *
 * -------------------------------------------------------------------
 */


.google-auto-placed::before {
  content: "Anuncio";
  display: block;
  text-align: center;
  font-weight: bold;
  margin-bottom: 15px;
}


/**
 * SEARCH
 *
 * -------------------------------------------------------------------
 */

a.gd-badge.btn.btn-link.mw-100.d-block.mx-auto.btn-lg {
	background-color: var(--accent)!important;text-decoration: none;
}

.no-comments{
	display:none;
}
/**
 * COMUNES
 *
 * -------------------------------------------------------------------
 */
/* Botones Ubicaciones */
.wp-block-geodirlocation-geodir-location-widget-locations {
    margin: 30px 0 20px 0;
}


/**
 * HOME
 *
 * -------------------------------------------------------------------
 */
button.geodir_submit_search.btn.w-100.btn-primary,
button.geodir-show-filters.btn.w-100.btn-primary{
    background-color: var(--accent);
    border-color: var(--accent);
}

.renta-disfraces-container {
    border: 2px solid #ffcc80;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.renta-disfraces-text{
	padding:20px;
}


/**
 * LOCATION ARCHIVE
 *
 * -------------------------------------------------------------------
 */
/*
h1.entry-title,
 .geodir-page-location h2.wp-block-heading,
 .page h2.wp-block-heading {
     padding-left: 10px;
     border-left: 3px solid var(--accent);
 }
*/
.wp-block-columns.card_cta {
    margin-bottom: 10px;
}

.nombre_archivo h2,
.geodir-page-title.entry-title.h2,
.geodir-entry-title.h2 a {
    color: var(--contrast);
    font-family: Luckiest Guy,display;
    font-size: 22px;
    font-weight: normal;
    text-align: center;
}
 
.geodir-field-extracto_ficha {
    color: var(--contrast-2);
}

a.gd-badge.border-0.badge.mw-100.d-block.mx-auto.ver_ficha {
    padding: 10px 0px;
    font-weight: 500;
}

a.gd-badge.border-0.badge.mw-100.d-block.mx-auto.boton_llamar_archive {
    padding: 10px 0px;
    font-weight: 500;
}

.geodir-post-rating.bsui .geodir_post_meta::before {
    font-family: 'Font Awesome 6 Brands'; /* Ajusta según la versión de FA que uses */
    content: '\f1a0'; /* Código Unicode para el icono de Google en FA, ajusta según necesites */
    color: #333333; /* Color del icono */
    padding-right: 5px; /* Espacio entre el icono y el texto */
    font-weight: 900; /* Necesario para Font Awesome 5 */
}

.phone_info i.fa-solid.fa-phone,
.direccion i.fa-solid.fa-location-dot{
	padding-right: 5px;
}

.boton_llamar_archive .gd-secondary.gv-secondary {
    display: none;
}

.geodir-listings .alert.alert-info {
	display: none;/* Esconde la alerta si no hay destacados */
}

.bsui .page-item.active .page-link {
    color: #fff;
    background-color: var(--accent);
    border-color: var(--accent);
}

.bsui .page-link {
    color: var(--contrast);
}

.bsui .card {
    --bs-card-border-color: var(--base) !important;
}
.listados-tiendas .geodir-field-texto_los_mejores{
	display:none;
	
}


 /**
 * LISTINGS
 *
 * -------------------------------------------------------------------
 */

 

.single-gd_place .featured-image {
    display: none;
}


.comment-form #url{
	display:none;
}

.single-gd_place .direccion {
    margin-top: 1em;
}

.single-gd_place .bsui .h2 {
    font-family: Luckiest Guy,display;
	color: var(--contrast) !important;
}

.single-gd_place .bsui .h2 a{
	color: var(--contrast) !important;
}

.single-gd_place .text-text-reset  { 
	pointer-events: none; cursor: pointer; 
}

.boton-llamar {
    width: 100%;
    display: inline-block;
    background-color: var(--accent);
    color: var(--base-3) !important;
    padding: 5px 15px;
    text-align: center;
    text-decoration: none;
    font-size: 17px;
    font-weight: 500;
    border-radius: 5px;
    border: none;
}

.boton-llamar:hover {
    background-color: var(--contrast-2);
    color: var(--base-3) !important;
}

a.gd-badge.go_google_maps {
    padding: 9px;
    font-size: 17px;
    font-weight: 500;
}

.single-gd_place .submit{
    background-color: var(--accent);
    border-color: var(--accent);
}
.single-gd_place .submit:hover{
	background-color: var(--contrast-2);
    border-color: var(--contrast-2);
}

.single-gd_place .bsui .text-white {
    color: var(--base-3) !important;
}

.single-gd_place .bsui .text-white:hover {
    color: var(--base-3) !important;
}

.single-gd_place .boton-cerrajero-ciudad-region {
    text-align: center;
}

.single-gd_place .bloque-cta,
.busqueda-paginas {
    padding: 2%;
}

/* Estilo para las imágenes del negocio en las pestañas de la página individual */
.single .bsui .geodir-images .card {
    border:none !important;
	margin-top:20px !important;
}



/**
 * BLOG
 *
 * -------------------------------------------------------------------
 */

 .single-post .wp-block-media-text {
     margin-bottom: 20px;
 }

.entradas-blog .gb-headline-text a{
	text-decoration:none
}


/*--------------------------------------------------------------
## Breakpoint (768px)
--------------------------------------------------------------*/
@media (max-width: 768px) {
	
/**
 * HEADER
 *
 * -------------------------------------------------------------------
 */

/* Aplica estilos al título principal */
.site-branding {
    max-width: 140px;
}
	
/**
 * LOCATION ARCHIVE
 *
 * -------------------------------------------------------------------
 */
    .boton_llamar_archive .gd-secondary.gv-secondary {
        display: inline-block;
    }
    }